#!/bin/bash

dataDir=results/
plotsDir=plots/
#finalPlotsDir=figs/plots/
#tikzDir=figs/
plotScripts=./scripts/
nbRuns=15


mkdir -p $dataDir
mkdir -p $plotsDir
#mkdir -p $finalPlotsDir




./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_only_gaussian0.01 -n Noiseless,FS1,FS5,FS10,TBS,DSS,SEDR,FBDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FixedSampling5-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FixedSampling10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-TimeBasedSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FBDR1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-AdaptiveSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9-Grid64x64 &
wait

./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_only_gaussian1.0 -n Noiseless,FS1,FS5,FS10,TBS,DSS,SEDR,FBDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FixedSampling5-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FixedSampling10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-TimeBasedSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FBDR1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-AdaptiveSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9-Grid64x64 &
wait

./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_features_gaussian0.01x0.01 -n Noiseless,FS1,FS5,FS10,TBS,DSS,SEDR,FBDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FixedSampling5-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FixedSampling10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-TimeBasedSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FBDR1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-AdaptiveSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9-Grid64x64 &
wait

./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_features_gaussian1.0x1.0 -n Noiseless,FS1,FS5,FS10,TBS,DSS,SEDR,FBDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling5-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-TimeBasedSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FBDR1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-AdaptiveSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9-Grid64x64 &
wait




#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_only_gaussian0.01 -n Noiseless,FS1,FS5,FS10,TBS,DSS,ASS,SEDR,FBDR,FBSEDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FixedSampling5-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FixedSampling10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-TimeBasedSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-ActivityStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FBDR1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FBSEDR2x10x0.20x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-AdaptiveSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9-Grid64x64 &
#wait
#
#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_only_gaussian1.0 -n Noiseless,FS1,FS5,FS10,TBS,DSS,ASS,SEDR,FBDR,FBSEDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FixedSampling5-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FixedSampling10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-TimeBasedSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-ActivityStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FBDR1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FBSEDR2x10x0.20x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-AdaptiveSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9-Grid64x64 &
#wait
#
#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_features_gaussian0.01x0.01 -n Noiseless,FS1,FS5,FS10,TBS,DSS,ASS,SEDR,FBDR,FBSEDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FixedSampling5-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FixedSampling10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-TimeBasedSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-ActivityStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FBDR1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FBSEDR2x10x0.20x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-AdaptiveSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9-Grid64x64 &
#wait
#
#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_features_gaussian1.0x1.0 -n Noiseless,FS1,FS5,FS10,TBS,DSS,ASS,SEDR,FBDR,FBSEDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling5-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-TimeBasedSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-ActivityStrengthSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FBDR1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FBSEDR2x10x0.20x0.20-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-AdaptiveSampling1x10-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9-Grid64x64 &
#wait
#

#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_features_gaussian1.0x1.0-1.0 -n Noiseless,FS1,FS5,FS10,TBS,DSS,ASS,SEDR,FBDR,FBSEDR,AS,CBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling1-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling5-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling10-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-TimeBasedSampling1x10-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-DominationStrengthSampling1x10-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-ActivityStrengthSampling1x10-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-SEDR2x10x0.0x0.20x0.0x0.20-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FBDR1x10-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FBSEDR2x10x0.20x0.20-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-AdaptiveSampling1x10-MutPolyBounded0.1x0.9x1.0-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-ConfidenceBasedAdaptiveSampling1x10x0.05-MutPolyBounded0.1x0.9x1.0-Grid64x64 &
#wait


#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_only_gaussian0.01-hybrid -n Noiseless,FS1,FS1xFS5,FS1xAS,FS1xCBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FS1xFS5-MutPolyBounded0.1x0.9-0.99-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FS1xAS1x10-MutPolyBounded0.1x0.9-0.99-Grid64x64,rastrigin2vs6-fitness_only_gaussian0.01-FS1xCBAS1x10x0.05-MutPolyBounded0.1x0.9-0.99-Grid64x64 --splitIndexes "1" &
#wait
#
#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_only_gaussian1.0-hybrid -n Noiseless,FS1,FS1xFS5,FS1xAS,FS1xCBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FS1xFS5-MutPolyBounded0.1x0.9-0.99-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FS1xAS1x10-MutPolyBounded0.1x0.9-0.99-Grid64x64,rastrigin2vs6-fitness_only_gaussian1.0-FS1xCBAS1x10x0.05-MutPolyBounded0.1x0.9-0.99-Grid64x64 --splitIndexes "1" &
#wait
#
#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_features_gaussian0.01x0.01-hybrid -n Noiseless,FS1,FS1xFS5,FS1xAS,FS1xCBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FS1xFS5-MutPolyBounded0.1x0.9-0.99-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FS1xAS1x10-MutPolyBounded0.1x0.9-0.99-Grid64x64,rastrigin2vs6-fitness_features_gaussian0.01x0.01-FS1xCBAS1x10x0.05-MutPolyBounded0.1x0.9-0.99-Grid64x64 --splitIndexes "1" &
#wait
#
#./scripts/analysis.py --nbRuns $nbRuns --splitIndexes 1 -D $dataDir -o $dataDir/analysis-rastrigin2vs6-fitness_features_gaussian1.0x1.0-hybrid -n Noiseless,FS1,FS1xFS5,FS1xAS,FS1xCBAS -i rastrigin2vs6-noiseless-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FixedSampling1-MutPolyBounded0.1x0.9-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FS1xFS5-MutPolyBounded0.1x0.9-0.99-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FS1xAS1x10-MutPolyBounded0.1x0.9-0.99-Grid64x64,rastrigin2vs6-fitness_features_gaussian1.0x1.0-FS1xCBAS1x10x0.05-MutPolyBounded0.1x0.9-0.99-Grid64x64 --splitIndexes "1" &
#wait


# Wait for plots to finish
wait

# MODELINE	"{{{1
# vim:expandtab:softtabstop=4:shiftwidth=4:fileencoding=utf-8
# vim:foldmethod=marker
